Debian Bug report logs - #561569
kernel-package: Fails with Linux 2.6.33-rc1

version graph

Package: kernel-package; Maintainer for kernel-package is Manoj Srivastava <srivasta@debian.org>; Source for kernel-package is src:kernel-package.

Reported by: Sven Joachim <svenjoac@gmx.de>

Date: Fri, 18 Dec 2009 10:21:01 UTC

Severity: important

Tags: patch

Found in version kernel-package/12.031

Fixed in version kernel-package/12.032

Done: Manoj Srivastava <srivasta@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, svenjoac@gmx.de, Manoj Srivastava <srivasta@debian.org>:
Bug#561569; Package kernel-package. (Fri, 18 Dec 2009 10:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
New Bug report received and forwarded. Copy sent to svenjoac@gmx.de, Manoj Srivastava <srivasta@debian.org>. (Fri, 18 Dec 2009 10:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kernel-package: Fails with Linux 2.6.33-rc1
Date: Fri, 18 Dec 2009 11:17:58 +0100
Package: kernel-package
Version: 12.031
Severity: important

I tried to build a package with a 2.6.33-rc1 kernel, but
"make-kpkg linux-image" failed because include/linux/compile.h does not
exist:

,----
| COLUMNS=150 dpkg -l 'gcc*' perl dpkg 'libc6*' binutils make dpkg-dev |\
|          awk '$1 ~ /[hi]i/ { printf("%s-%s\n", $2, $3) }'> debian/stamp/build/info
| uname -a >> debian/stamp/build/info
| echo using the compiler: >> debian/stamp/build/info
| grep LINUX_COMPILER include/linux/compile.h | \
|            sed -e 's/.*LINUX_COMPILER "//' -e 's/"$//' >> debian/stamp/build/info
| grep: include/linux/compile.h: No such file or directory
| echo done > debian/stamp/build/kernel
| fakeroot /usr/bin/make -f ./debian/rules        debian/stamp/binary/pre-linux-image-2.6.33-rc1-amd64
| make[1]: Entering directory `/usr/src/linux-2.6.33-rc1'
| ====== making target debian/stamp/install/linux-image-2.6.33-rc1-amd64 [new prereqs: ]======
| This is kernel package version 12.031.
| echo "The UTS Release version in include/linux/version.h"; echo "          \"\" "; echo "does not match current version:"; echo "      \"2.6.33-rc1-amd64\" "; echo "Please correct this."; exit 2
| The UTS Release version in include/linux/version.h
|            ""
| does not match current version:
|            "2.6.33-rc1-amd64"
| Please correct this.
| make[1]: *** [debian/stamp/install/linux-image-2.6.33-rc1-amd64] Error 2
`----

In commit 92045954058671fdd0ccf031ca06611ce1d929d1¹, compile.h was moved
from include/linux to include/generated.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.31.8-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages kernel-package depends on:
ii  binutils                      2.20-4     The GNU assembler, linker and bina
ii  build-essential               11.4       Informational list of build-essent
ii  debianutils                   3.2.2      Miscellaneous utilities specific t
ii  file                          5.03-4     Determines file type using "magic"
ii  gettext                       0.17-8     GNU Internationalization utilities
ii  make                          3.81-7     An utility for Directing compilati
ii  module-init-tools             3.11-1     tools for managing Linux kernel mo
ii  po-debconf                    1.0.16     tool for managing templates file t
ii  util-linux                    2.16.2-0   Miscellaneous system utilities

Versions of packages kernel-package recommends:
ii  cpio                          2.10-1     GNU cpio -- a program to manage ar

Versions of packages kernel-package suggests:
ii  bzip2                     1.0.5-3        high-quality block-sorting file co
pn  docbook-utils             <none>         (no description available)
ii  e2fsprogs                 1.41.9-1       ext2/ext3/ext4 file system utiliti
ii  initramfs-tools [linux-in 0.93.4         tools for generating an initramfs
pn  libdb3-dev                <none>         (no description available)
ii  libncurses5-dev [libncurs 5.7+20090919-1 developer's libraries and docs for
pn  linux-source | kernel-sou <none>         (no description available)
pn  xmlto                     <none>         (no description available)

-- no debconf information


¹ http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=92045954058671fdd0ccf031ca06611ce1d929d1




Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#561569; Package kernel-package. (Fri, 18 Dec 2009 14:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jean-Luc Coulon (f5ibh)" <jean-luc.coulon@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Fri, 18 Dec 2009 14:03:04 GMT) Full text and rfc822 format available.

Message #10 received at 561569@bugs.debian.org (full text, mbox):

From: "Jean-Luc Coulon (f5ibh)" <jean-luc.coulon@wanadoo.fr>
To: 561569@bugs.debian.org
Subject: UTS_RELEASE definition has been moved
Date: Fri, 18 Dec 2009 15:02:08 +0100
[Message part 1 (text/plain, inline)]
Hi,

kernel_package looks in /usr/share/kernel-package/ruleset/misc/
version_vars.mk for UTS_RELEASE the following way:

UTS_RELEASE_HEADER=$(call doit,if [ -f include/linux/utsrelease.h ]; 
then  \
                               echo include/linux/utsrelease.h;         
\
                           else                                         
\
                               echo include/linux/version.h ;           
\
                           fi)

But in 2.6.33-rc1, UTS_RELEASE definition is empty in 
include/linux/utsrelease.h

Looking in vermagic.h, we can see that the included file is:
#include <generated/utsrelease.h>

while it was #include <linux/utsrelease.h> in 2.6.32 for instance.

And we can see that generated/utsrelease.h contains the expected 
version.


Regards

Jean-Luc
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#561569; Package kernel-package. (Tue, 22 Dec 2009 14:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Tue, 22 Dec 2009 14:12:03 GMT) Full text and rfc822 format available.

Message #15 received at 561569@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: 561569@bugs.debian.org, control@bugs.debian.org
Subject: Patch
Date: Tue, 22 Dec 2009 06:05:39 -0800
[Message part 1 (text/plain, inline)]
tag 561569 + patch
thanks

Hi,

The attached patch makes make-kpkg look for utsrelease.h in its new
location.

-- 
Matt                                            http://ftbfs.org/kraai
[update-utsrelease.h-path.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Matt Kraai <kraai@ftbfs.org> to control@bugs.debian.org. (Tue, 22 Dec 2009 14:12:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#561569; Package kernel-package. (Thu, 24 Dec 2009 11:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Thu, 24 Dec 2009 11:24:04 GMT) Full text and rfc822 format available.

Message #22 received at 561569@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: Debian Bug Tracking System <561569@bugs.debian.org>
Subject: Re: Fails with Linux 2.6.33-rc1
Date: Thu, 24 Dec 2009 12:22:23 +0100
[Message part 1 (text/plain, inline)]
Package: kernel-package
Version: 12.031
Severity: normal


Please find attached patch which works for me.

Elimar


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.33-rc1-aragorn
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages kernel-package depends on:
ii  binutils                      2.20-4     The GNU assembler, linker and bina
ii  build-essential               11.4       Informational list of build-essent
ii  debianutils                   3.2.2      Miscellaneous utilities specific t
ii  file                          5.03-5     Determines file type using "magic"
ii  gettext                       0.17-8     GNU Internationalization utilities
ii  make                          3.81-7     An utility for Directing compilati
ii  module-init-tools             3.11-1     tools for managing Linux kernel mo
ii  po-debconf                    1.0.16     tool for managing templates file t
ii  util-linux                    2.16.2-0   Miscellaneous system utilities

Versions of packages kernel-package recommends:
ii  cpio                          2.10-1     GNU cpio -- a program to manage ar

Versions of packages kernel-package suggests:
ii  bzip2                     1.0.5-3        high-quality block-sorting file co
ii  docbook-utils             0.6.14-1.1     Convert Docbook files to other for
ii  e2fsprogs                 1.41.9-1       ext2/ext3/ext4 file system utiliti
pn  libdb3-dev                <none>         (no description available)
ii  libncurses5-dev [libncurs 5.7+20090803-2 developer's libraries and docs for
pn  linux-initramfs-tool      <none>         (no description available)
ii  linux-source-2.6.31 [linu 2.6.31-2       Linux kernel source for version 2.
ii  xmlto                     0.0.23-2       XML-to-any converter

-- no debconf information
[2.6.33_utsrelease.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#561569; Package kernel-package. (Sat, 26 Dec 2009 07:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jean-Luc Coulon (f5ibh)" <jean-luc.coulon@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Sat, 26 Dec 2009 07:18:03 GMT) Full text and rfc822 format available.

Message #27 received at 561569@bugs.debian.org (full text, mbox):

From: "Jean-Luc Coulon (f5ibh)" <jean-luc.coulon@wanadoo.fr>
To: 561569@bugs.debian.org
Subject: fixes for compile.h also
Date: Sat, 26 Dec 2009 08:15:48 +0100
[Message part 1 (text/plain, inline)]
>The attached patch makes make-kpkg look for utsrelease.h in its new
>location.

It is not enough; in ruleset/targets/common.mk compiles.h should also 
be looked for in generated subdirectory

Attached patch fixes this also.

Regards

Jean-Luc
[kernel-package-12.031-2.6.33.patch (text/x-patch, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#561569; Package kernel-package. (Mon, 04 Jan 2010 20:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@golden-gryphon.com>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Mon, 04 Jan 2010 20:48:06 GMT) Full text and rfc822 format available.

Message #32 received at 561569@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@golden-gryphon.com>
To: 561569@bugs.debian.org, control@bugs.debian.org
Subject: [5ba7956] Fix for Bug#561569 committed to git
Date: Mon, 4 Jan 2010 14:34:10 -0600
tags 561569 +pending
thanks
Hi,

     The following change has been committed for this bug by
 Manoj Srivastava <srivasta@debian.org> on Mon, 4 Jan 2010 14:34:10 -0600.
 The fix will be in the next upload. 
=========================================================================
Adjust to  compile.h moving to include/generated

Patch contributed by Jean-Luc Coulon and Matt Krai.

Closes: #561569

Signed-off-by: Manoj Srivastava <srivasta@debian.org>
=========================================================================





Added tag(s) pending. Request was from Manoj Srivastava <srivasta@golden-gryphon.com> to control@bugs.debian.org. (Mon, 04 Jan 2010 20:48:10 GMT) Full text and rfc822 format available.

Reply sent to Manoj Srivastava <srivasta@debian.org>:
You have taken responsibility. (Mon, 04 Jan 2010 22:39:09 GMT) Full text and rfc822 format available.

Notification sent to Sven Joachim <svenjoac@gmx.de>:
Bug acknowledged by developer. (Mon, 04 Jan 2010 22:39:09 GMT) Full text and rfc822 format available.

Message #39 received at 561569-close@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: 561569-close@bugs.debian.org
Subject: Bug#561569: fixed in kernel-package 12.032
Date: Mon, 04 Jan 2010 22:37:31 +0000
Source: kernel-package
Source-Version: 12.032

We believe that the bug you reported is fixed in the latest version of
kernel-package, which is due to be installed in the Debian FTP archive:

kernel-package_12.032.dsc
  to main/k/kernel-package/kernel-package_12.032.dsc
kernel-package_12.032.tar.gz
  to main/k/kernel-package/kernel-package_12.032.tar.gz
kernel-package_12.032_all.deb
  to main/k/kernel-package/kernel-package_12.032_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 561569@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Manoj Srivastava <srivasta@debian.org> (supplier of updated kernel-package package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Mon, 04 Jan 2010 14:41:22 -0600
Source: kernel-package
Binary: kernel-package
Architecture: source all
Version: 12.032
Distribution: unstable
Urgency: low
Maintainer: Manoj Srivastava <srivasta@debian.org>
Changed-By: Manoj Srivastava <srivasta@debian.org>
Description: 
 kernel-package - A utility for building Linux kernel related Debian packages.
Closes: 561569
Changes: 
 kernel-package (12.032) unstable; urgency=low
 .
   * [5ba7956]: Adjust to compile.h moving to include/generated Patch
     contributed by Jean-Luc Coulon and Matt Krai.
     Bug fix: "Fails with Linux 2.6.33-rc1", thanks to Sven Joachim
     (Closes: #561569).
Checksums-Sha1: 
 fd716dcbf64eb5ecb333cdea416fff05629d1930 1198 kernel-package_12.032.dsc
 29c5a8114331b234469da1246055fd4eec1eacec 555155 kernel-package_12.032.tar.gz
 8491c73cf1b83e035da1118ec678b686005a0b17 506066 kernel-package_12.032_all.deb
Checksums-Sha256: 
 16192207e7e973a7dbf494674a9012b6b11b0ecd25324873c11ca9de47138193 1198 kernel-package_12.032.dsc
 00227303f809cc0a6ea995f90d7a1b5d838cd620490f8ef60d207c59a923c01c 555155 kernel-package_12.032.tar.gz
 e318d1f6e51d00e5a78e43f60c675466077c569f3128f3380f6ee7c828f492b3 506066 kernel-package_12.032_all.deb
Files: 
 09b8f77339b967714818998ab87399a5 1198 kernel optional kernel-package_12.032.dsc
 a28ab1247b012c6d470098798259ae28 555155 kernel optional kernel-package_12.032.tar.gz
 dc4db1bb60224e13b962dd57d3d18c24 506066 kernel optional kernel-package_12.032_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBAwAGBQJLQmKmAAoJEDa9cg9vV2RyEpgH/2+C4M/FAIvHKtYy6m1OpXiS
qHhojZbiUC/6r04CUfYV6kzGq5UDC53WVyUhRjt6ucL67J5mwPd1tAsU/sqxqQ5s
++Z5IZjjrHckQtwh5vhcbvZ39XxWrG9LSab6Rnj/HaKMmIrKjmFTCc7UYAWAevrD
vjsDrVx59aspEMT6OLTbxs97dKu/vQ01rrzARBKhmEOM+Zi7Wvfs5yRW27qug4QP
BCWEzrh0ppOpx0CVw5gpsxcIfx40tvM7iKvjfqq73w4hwWhN6O/SUXjUTfqQkgTu
atCVED+WacvTD0ZQ6vETZyF9S3oaYUv+DtL6hgl1Nu6G9BIvsvkZVFffzZyu0EY=
=ry/I
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 12 Feb 2010 07:37:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:43:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.